Package org.jbpm.marshalling.impl

## Interface JBPMMessages.ProcessTimer.TimerInstanceOrBuilder

- All Superinterfaces:
    `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`
  All Known Implementing Classes:
    `JBPMMessages.ProcessTimer.TimerInstance`, `JBPMMessages.ProcessTimer.TimerInstance.Builder`
  Enclosing class:
    JBPMMessages.ProcessTimer

      public static interface JBPMMessages.ProcessTimer.TimerInstanceOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getActivatedTime()` | `optional int64 activated_time = 6;`
    `long` | `getDelay()` | `optional int64 delay = 3;`
    `int` | `getDEPRECATEDSessionId()` | `optional int32 DEPRECATED_sessionId = 8;`
    `long` | `getId()` | `optional int64 id = 1;`
    `long` | `getLastTriggered()` | `optional int64 last_triggered = 7;`
    `String` | `getName()` | `optional string name = 11;`
    `com.google.protobuf.ByteString` | `getNameBytes()` | `optional string name = 11;`
    `long` | `getPeriod()` | `optional int64 period = 4;`
    `long` | `getProcessInstanceId()` | `optional int64 process_instance_id = 5;`
    `int` | `getRepeatLimit()` | `optional int32 repeatLimit = 10;`
    `long` | `getSessionId()` | `optional int64 sessionId = 9;`
    `long` | `getTimerId()` | `optional int64 timer_id = 2;`
    `boolean` | `hasActivatedTime()` | `optional int64 activated_time = 6;`
    `boolean` | `hasDelay()` | `optional int64 delay = 3;`
    `boolean` | `hasDEPRECATEDSessionId()` | `optional int32 DEPRECATED_sessionId = 8;`
    `boolean` | `hasId()` | `optional int64 id = 1;`
    `boolean` | `hasLastTriggered()` | `optional int64 last_triggered = 7;`
    `boolean` | `hasName()` | `optional string name = 11;`
    `boolean` | `hasPeriod()` | `optional int64 period = 4;`
    `boolean` | `hasProcessInstanceId()` | `optional int64 process_instance_id = 5;`
    `boolean` | `hasRepeatLimit()` | `optional int32 repeatLimit = 10;`
    `boolean` | `hasSessionId()` | `optional int64 sessionId = 9;`
    `boolean` | `hasTimerId()` | `optional int64 timer_id = 2;`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- - ### Method Detail

    - #### hasId

          boolean hasId()

      `optional int64 id = 1;`
      Returns:
        Whether the id field is set.

    - #### getId

          long getId()

      `optional int64 id = 1;`
      Returns:
        The id.

    - #### hasTimerId

          boolean hasTimerId()

      `optional int64 timer_id = 2;`
      Returns:
        Whether the timerId field is set.

    - #### getTimerId

          long getTimerId()

      `optional int64 timer_id = 2;`
      Returns:
        The timerId.

    - #### hasDelay

          boolean hasDelay()

      `optional int64 delay = 3;`
      Returns:
        Whether the delay field is set.

    - #### getDelay

          long getDelay()

      `optional int64 delay = 3;`
      Returns:
        The delay.

    - #### hasPeriod

          boolean hasPeriod()

      `optional int64 period = 4;`
      Returns:
        Whether the period field is set.

    - #### getPeriod

          long getPeriod()

      `optional int64 period = 4;`
      Returns:
        The period.

    - #### hasProcessInstanceId

          boolean hasProcessInstanceId()

      `optional int64 process_instance_id = 5;`
      Returns:
        Whether the processInstanceId field is set.

    - #### getProcessInstanceId

          long getProcessInstanceId()

      `optional int64 process_instance_id = 5;`
      Returns:
        The processInstanceId.

    - #### hasActivatedTime

          boolean hasActivatedTime()

      `optional int64 activated_time = 6;`
      Returns:
        Whether the activatedTime field is set.

    - #### getActivatedTime

          long getActivatedTime()

      `optional int64 activated_time = 6;`
      Returns:
        The activatedTime.

    - #### hasLastTriggered

          boolean hasLastTriggered()

      `optional int64 last_triggered = 7;`
      Returns:
        Whether the lastTriggered field is set.

    - #### getLastTriggered

          long getLastTriggered()

      `optional int64 last_triggered = 7;`
      Returns:
        The lastTriggered.

    - #### hasDEPRECATEDSessionId

          boolean hasDEPRECATEDSessionId()

      `optional int32 DEPRECATED_sessionId = 8;`
      Returns:
        Whether the dEPRECATEDSessionId field is set.

    - #### getDEPRECATEDSessionId

          int getDEPRECATEDSessionId()

      `optional int32 DEPRECATED_sessionId = 8;`
      Returns:
        The dEPRECATEDSessionId.

    - #### hasSessionId

          boolean hasSessionId()

      `optional int64 sessionId = 9;`
      Returns:
        Whether the sessionId field is set.

    - #### getSessionId

          long getSessionId()

      `optional int64 sessionId = 9;`
      Returns:
        The sessionId.

    - #### hasRepeatLimit

          boolean hasRepeatLimit()

      `optional int32 repeatLimit = 10;`
      Returns:
        Whether the repeatLimit field is set.

    - #### getRepeatLimit

          int getRepeatLimit()

      `optional int32 repeatLimit = 10;`
      Returns:
        The repeatLimit.

    - #### hasName

          boolean hasName()

      `optional string name = 11;`
      Returns:
        Whether the name field is set.

    - #### getName

          String getName()

      `optional string name = 11;`
      Returns:
        The name.

    - #### getNameBytes

          com.google.protobuf.ByteString getNameBytes()

      `optional string name = 11;`
      Returns:
        The bytes for name.